<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <body>

        <ui:composition template="./../WEB-INF/admCliente.xhtml">

            <ui:define name="content">
                <div class="row" align="center">
               <h:form prependId="false">

            <p:growl id="growl"/>

                <h:panelGrid columns="1" id="pratosGrid" cellpadding="5">
                    
                <p:growl id="imagem" showDetail="true" />

                <p:columnGroup class="form">             
                    <p:column class="col-4">
                        <p:outputLabel value="Imagem do Prato:" for="imagem"/><br></br>

                        <hr></hr>
                        <p:fileUpload value="#{fileUploadView.file}" label="Arquivo" mode="simple" skinSimple="false"/>
                    </p:column>

                    <p:column class="col-8">
                        <h:commandButton value="Enviar" actionListener="#{fileUploadView.upload}" disabled="true" style="margin-right: 10px" />
                       <!--<p:commandButton value="Enviar" ajax="false" actionListener="#{fileUploadView.upload}" disabled="true" />-->
                    </p:column>
                </p:columnGroup>
              
               <hr></hr>    
               
               <h:column>
                <p:outputLabel value="Nome do Prato:" for="txtNome"/><br></br>
                <p:inputText id="txtNome" value="#{pratosbean.prato.nome}" />
                </h:column>
               
               <h:column>             
                <p:outputLabel value="Nome do Boteco:" for="txtNomBoteco"/><br></br> 
                <p:password id="txtNomBoteco" value="#{pratosbean.prato.nomeBoteco}"/>
                </h:column>
                
                <h:column>
                <p:outputLabel value="Descrição:" for="txtDesc"/><br></br> 
                <p:inputTextarea  id="txtDesc" value="#{pratosbean.prato.descricao}"/>
                </h:column>
               
                <hr></hr>    
                <h:column>
                <p:commandButton value="Salvar"
                                 actionListener="#{pratosbean.salvar}"
                                 update="growl , pratosGrid , tabela"
                                 />

                <p:commandButton value="Novo" immediate="true" 
                                 actionListener="#{pratosbean.novo}" 
                                 update="pratosGrid , txtNome" />
                </h:column>
                <hr></hr>

               
           </h:panelGrid>

            
            <p:dataTable id="tabela" value="#{pratosbean.listPratos}" var="pratos" >
                
                <p:column headerText="Código">
                    #{pratos.id}
                </p:column>
                
                <p:column headerText="Nome">
                    #{pratos.nome}
                </p:column>

                <p:column headerText="Ações">
                    
                    <p:commandLink value="Editar" update="pratosGrid" immediate="true" >
                        <f:setPropertyActionListener 
                            value="#{pratos}"
                            target="#{pratosbean.pratos}" 
                            />
                    </p:commandLink>
                    
                    <p:commandLink value="Excluir" update="@this"  actionListener="#{pratosbean.deletar(pratos)}" >
                         
                    <p:confirm header="Confirmação" message="Tem certeza ?" icon="ui-icon-alert" />
    
                    </p:commandLink>
                    
                    
                </p:column>
            </p:dataTable>



            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                <p:commandButton value="Yes" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
            </p:confirmDialog>

        </h:form>
                    </div>
            </ui:define>

        </ui:composition>

    </body>
</html>
